#1207 closed defect (fixed)

timeval struct not according to posix

Reported by: Johnny Willemsen Owned by: Ralf Corsepius
Priority: normal Milestone: 4.8
Component: unspecified Version: 4.6
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

posix defines the timeval structs as on the following page:
http://www.opengroup.org/onlinepubs/000095399/basedefs/sys/time.h.html

rtems as

struct timeval {

long tv_sec;
long tv_usec;

};

seems rtems needs an update

Change History (5)

comment:1 Changed on Jan 3, 2007 at 6:02:04 AM by Johnny Willemsen

dependson: 1197

comment:2 Changed on Jan 14, 2007 at 3:31:15 AM by Ralf Corsepius

Owner: changed from Joel Sherrill to Ralf Corsepius

comment:3 Changed on Jan 14, 2007 at 3:31:42 AM by Ralf Corsepius

Status: newassigned

comment:4 Changed on Jan 14, 2007 at 3:33:12 AM by Ralf Corsepius

Resolution: fixed
Status: assignedclosed

Replying to comment:4:

Since it looks like newlib 1.15 has improved POSIX support, I think it would be
best to move to it for 4.7 and 4.8.

The latest rtems-4.7 and rtems-4.8 toolchains have been upgraded to newlib-1.15.0.

comment:5 Changed on Oct 10, 2017 at 6:35:44 AM by Sebastian Huber

Component: miscunspecified
Note: See TracTickets for help on using tickets.